using Microsoft.AspNetCore.Components;
using Nirvana.Common;
using YBDevice.Application;

namespace YBDevice.Web.Pages.Components
{
    public partial class RightContent
    {
        private OperatorModel _currentUser = new OperatorModel();
        //[Inject] protected NavigationManager NavigationManager { get; set; }

        protected override async Task OnInitializedAsync()
        {
            await base.OnInitializedAsync();
            SetClassMap();
            _currentUser = BaseInfoService.GetUserInfo();
        }

        protected void SetClassMap()
        {
            ClassMapper
                .Clear()
                .Add("right");
        }

        //public void HandleSelectUser(MenuItem item)
        //{
        //    switch (item.Key)
        //    {
        //        case "center":
        //            NavigationManager.NavigateTo("/account/center");
        //            break;
        //        case "setting":
        //            NavigationManager.NavigateTo("/account/settings");
        //            break;
        //        case "logout":
        //            NavigationManager.NavigateTo("/user/login");
        //            break;
        //    }
        //}
    }
}
